<?php

if (!defined('IN_HK') || !IN_HK)
{
	exit;
}

if (!HK_LOGGED_IN)
{
	exit;
}

require_once "top.php";

?>	
	

<div id="icon-users" class="icon32"><br /></div>

<h2>List of Users</h2>

	

<p>

	Here you have a list of all users of iHabbo Hotel.
</p>

<br />

<table class="widefat post fixed" >
<thead><tr>
	
<th scope="col" id="title" class="manage-column column-title" style="width:90px;">Username</th>
	
		
<th scope="col" id="title" class="manage-column column-title" style="width:80px;">Rank</th>
	
<th scope="col" id="title" class="manage-column column-title" style="width:190px;">E-Mail</th>
<th scope="col" id="title" class="manage-column column-title" style="width:80px;">Credits</th>
<th scope="col" id="title" class="manage-column column-title" style="width:80px;">Pixels</th>
<th scope="col" id="title" class="manage-column column-title" style="width:30px;">Gender</th>
<th scope="col" id="title" class="manage-column column-title" style="width:30px;">Online</th>	 
</thead>

<?php

$get = dbquery("SELECT id,rank,mail,credits,activity_points,gender,online FROM users WHERE rank >= 1 ORDER BY rank DESC");

while ($user = mysql_fetch_assoc($get))
{
	echo '<tr>';
	echo '<td>' . $users->formatUsername($user['id']) . '</td>';
	echo '<td>' . $users->getRankName($user['rank']) . '</td>';
	echo '<td><a href="mailto:' . $user['mail'] . '">' . $user['mail'] . '</a></td>';
	echo '<td> ' . $user['credits'] . '</td>';
	echo '<td> ' . $user['activity_points'] . '</td>';
	echo '<td> ' . $user['gender'] . '</td>';
	echo '<td> ' . $user['online'] . '</td>';
	echo '</tr>';
}

?>
</table>

<?php

require_once "bottom.php";

?>